Subject: [nfsv4] Minutes from July 25, 2006 Conference Call

From: Lisa Week <[email-masked]>
Date: Tue, 25 Jul 2006 12:11:22 -0600

IETF NFSv4 Working Group Conference Call
July 25, 2006
Note:
1.) Please make sure to update the status of issues that you are working on in the Issue Tracker.
2.) Attendee list is at the end of the minutes

Agenda:
- Current state of the NFSv4 I-D
- Review the planned stages of the I-D (process) and the editors
  structure as discussed at the Montreal meeting
- Review of current (large) open issues and plan for resolution
- Open Microphone (bring your topics)

Agenda additions:
- None

Minutes:

Current state of the NFSv4 I-D:
-------------------------------
- *04 draft has been posted
- Includes most major functional areas
- Missing (i.e. things we know about that aren't in the current doc):
      * Current stateid - Spencer to add this when Dave N. is
        done modifying the locking chapter.  Dave to release the
        preliminary locking chapter in the next couple of days.
      * .x file - Spencer's goal is to have a version sent out
        in the next two days.  This will not be included in the
        current I-D, but the agreement on whether it will
        be included in the final doc is not yet made.
        For the moment they will be kept separate, but the text
        in the introductory chapter will NOT be changed.)
      * Mike Eisler to re-work on Sessions chapter to	better
        integrate it.  Dave also working on a "first" chapter,
        he will talk to Mike to coordinate.
      * Data Retention Support
- Issues need resolving (i.e. something is in the doc, but there are disputes on whether it is the right thing):
      * ACLs
      * Issues in chapter 10.

Spencer will be sending out a "Last Call" for new items in the document with a date of the next conference call (August 8).

Process and editors structure
-----------------------------
* Intent of I-D stages: 1.) To layout the steps in order to manage the document development 2.) To let the wg know what the plan and goal is in order to make sure everyone can devote time to reviewing items in a timely manner.

Larger Open Issues
------------------
* Pending issues on the ACL section.
* Issues relating to Chapter 10 (Multi-server namespace chapter).  Dave hopes to talk about this in September.
* Are there any pNFS issues? - Garth thinks we've identified all the issues and we just need text.  Benny brought up the CB_SIZECHANGED issue.  Trond believes that we should remove this.  David Black can "live with it going away".  Benny agrees and says he votes to remove this operation.  Benny to send email to the WG to this effect so we can close on this issue.

Next call is in 2 weeks, August 8 at 10am Central, 9am Mountain...

Attendees:
Dave Noveck - NetApp
Lisa Week - Sun
Tom Vanderputten - EMC
Sergey Klyushin - Hummingbird
Garth Goodson - NetApp
Sam Falkner - Sun
Benny Halevy - Panasas
Spencer Shepler - Sun
David Black - EMC
Mario Wurzl - EMC
Mike Eisler - NetApp
Tom Talpey - NetApp
Trond Myklebust - NetApp

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4